#! /usr/bin/env python

import pygame, os, random
from pygame.locals import *

from albow.shell import Shell

from game_title import GameTitle
from stage_manager import StageManager
from resource_manager import ResourceManager
from game_status import GameStatus

SCREEN_WIDTH = 640
SCREEN_HEIGHT = 480
FPS = 60

class GameManager():
    def __init__(self):     
        pygame.init()
        canvas = pygame.display.set_mode([SCREEN_WIDTH, SCREEN_HEIGHT])

        self.resource = ResourceManager()
        self.game_status = GameStatus()

        root_shell = GameManagerShell(canvas)
        root_shell.run()
        root_shell = StageManager(canvas, FPS, self.resource, self.game_status)
        root_shell.run()

class GameManagerShell(Shell):
    def __init__(self, canvas):
        Shell.__init__(self, canvas)
        self.register_screens()
        self.game_title_screen = GameTitle(self)
        self.set_timer(FPS)
        self.show_screen(self.game_title_screen)
    
    def register_screens(self):
        False
    
    def exit(self):
        print "Thank you for playing!"
        pygame.mixer.stop()
        pygame.exit()
        
def main():
    game_manager = GameManager()

if __name__ == "__main__":
    main()
