#! /usr/bin/env python

import pygame, os, random
from pygame.locals import *

class GameStatus():
    def __init__(self):
        # Name / $ / Int / Busy
        self.member = [("Mark",5,2,2), ("Jay",20,7,4), ("Alice",10,5,9), ("Chris",1,1,1), ("Tom",50,9,7)] + [False] * 7
        # Task / Color / Previous / Next / Difficulty / Amount / Status / Flag
        self.task = [("Research-1", (255,192,192), 0, 3, 1, 6, 0, 0),
                    ("Research-2", (64,192,64), 0, 3, 10, 4, 0, 0),
                    ("Create-1", (255,64,192), (1,2), 5, 5, 2, 0, 0),
                    ("Create-2", (224,192,64), 0, 5, 20, 1, 0, 0),
                    ("Compound", (64,224,192), (3,4), -1, 5, 3, 0, 0)]
        
        self.table = [0] * 12
        for i in xrange(0,12):
            self.table[i] = [0] * 24

        self.current_task = 1
        self.current_turn = 1
        
    def get_member(self):
        return self.member

    def get_task(self):
        return self.task

    def get_table_status(self, location):
        return self.table[location[0]][location[1]]
        
    def set_table_status(self, location, value):
        self.table[location[0]][location[1]] = value
