#! /usr/bin/env python

import pygame, os, random
from pygame.locals import *

from albow.screen import Screen
from albow.controls import Label, Button
from albow.layout import Column
from albow.resource import get_font, get_image

class GameTitle(Screen):
    def __init__(self, shell):
        Screen.__init__(self, shell)
        self.shell = shell
        
        self.title_bg = pygame.Surface((640,480))

        title_logo = get_image("title_logo.png")
        self.title_bg.blit(title_logo, (0,80))

        font_d = get_font(32, "Dekar.otf")
        self.start_text = font_d.render("O Start", 1, (255, 255, 255))
         
        start_button = Button("     ", self.shell.quit)
        start_button.rect.topleft = (112+64*3, 128+64*2)
        self.add(start_button)
        
    def draw(self, surface):
        surface.blit(self.title_bg, (0,0))
        surface.blit(self.start_text, (112+64*3, 128+64+64))
