#! /usr/bin/env python

import pygame, os, random
from pygame.locals import *
from albow.resource import get_font, get_sound, get_image

class ResourceManager():
    def __init__(self):
        # dummy background image
        self.bg_theme = get_image("bg_theme.png")

        # Table Grid
        font_d = get_font(14, "Dekar.otf")
        self.bg_theme.fill((128-32, 128, 160+16), (640+106-72, 96-24, 72, 13*24))

        pygame.draw.rect(self.bg_theme, (128-32, 128, 160+16), (640+106, 96-24, 432, 24), 0)

        for i in xrange(0, 25):
            pygame.draw.line(self.bg_theme, (64-32, 64, 80+16), (640+106+i*18, 96-24), (640+106+i*18, 96-24+13*24), 1)
            # Month
            if i != 24:
                text = font_d.render(str(i+1).zfill(2), 1, (255, 255, 255))
                self.bg_theme.blit(text, (640+106+i*18+2, 96-24+6))
            for j in xrange(0, 14):
                pygame.draw.line(self.bg_theme, (64-32, 64, 80+16), (640+106-72, 96-24+j*24), (640+106+24*18, 96-24+j*24), 1)

        # Member Grid
        pygame.draw.line(self.bg_theme, (64-32, 64, 80+16), (640+106-72, 96-24), (640+106-72, 96-24+13*24), 1)

        # Pallet Grid
        self.bg_theme.fill((64-32, 64, 80+16), (640+534+18+3, 80+3, 64, 320))
        self.bg_theme.fill((128-32, 128, 160+16), (640+534+18, 80, 64, 320))

        pygame.mixer.set_num_channels(32)
        self.next_sound = get_sound("next.wav")
        #fullname = os.path.join('Resources', "next.wav")
        #self.next_sound = pygame.mixer.Sound(fullname)

def main():
    pygame.init()
    screen = pygame.display.set_mode((640, 480))
    
if __name__ == "__main__":
    main()
